unit Unit1;

//Programme par Yoann
//http://delphipage.free.fr/

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Fichier1: TMenuItem;
    Ouvrir1: TMenuItem;
    N1: TMenuItem;
    Quitter1: TMenuItem;
    Fentre1: TMenuItem;
    Cascade1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Suivante1: TMenuItem;
    Prcdente1: TMenuItem;
    Mosaiquehorizontal1: TMenuItem;
    Mosaiquevertical1: TMenuItem;
    Toutfermer1: TMenuItem;
    Fermer1: TMenuItem;
    procedure Ouvrir1Click(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure Suivante1Click(Sender: TObject);
    procedure Prcdente1Click(Sender: TObject);
    procedure Cascade1Click(Sender: TObject);
    procedure Mosaiquehorizontal1Click(Sender: TObject);
    procedure Mosaiquevertical1Click(Sender: TObject);
    procedure Fermer1Click(Sender: TObject);
    procedure Toutfermer1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.Ouvrir1Click(Sender: TObject);
begin
if OpenDialog1.Execute then
begin
Form2:=TForm2.Create(application);
Form2.Image1.Picture.LoadFromFile(OpenDialog1.FileName);
Form2.ClientHeight:=Form2.Image1.Picture.Bitmap.Height;
Form2.ClientWidth:= Form2.Image1.Picture.Bitmap.Width;
Form2.Caption:=ExtractFileName(OpenDialog1.FileName);
end;
end;

procedure TForm1.Quitter1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.Suivante1Click(Sender: TObject);
begin
Form1.Next;
end;

procedure TForm1.Prcdente1Click(Sender: TObject);
begin
Form1.Previous;
end;

procedure TForm1.Cascade1Click(Sender: TObject);
begin
Cascade;
end;

procedure TForm1.Mosaiquehorizontal1Click(Sender: TObject);
begin
Form1.TileMode:=tbHorizontal;
Form1.Tile;
end;

procedure TForm1.Mosaiquevertical1Click(Sender: TObject);
begin
Form1.TileMode:=tbVertical;
Form1.Tile;
end;

procedure TForm1.Fermer1Click(Sender: TObject);
begin
with ActiveMDIChild as TForm2 do
begin
Close;
end;
end;

procedure TForm1.Toutfermer1Click(Sender: TObject);
var i: integer;
begin
for i:= 0 to MdiChildCount - 1 do
  MDIChildren[i].Close;
end;

end.
